TestCategory Class Reference

`#include <TestCategory.h>`

Inheritance diagram for TestCategory:

## Public Member Functions

| TestCategory (const std::string &n, TestSuite *s)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)
virtual void | run (void)=0

## Constructor & Destructor Documentation

## TestCategory()

TestCategory::TestCategory | ( | const std::string & | n,
|  | TestSuite * | s )

inline

The documentation for this class was generated from the following file:

- TestCategory.h